aboutsummaryrefslogtreecommitdiffstats
path: root/x11/gtk+/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-28 09:01:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-28 09:01:07 +0000
commit0fc3dafdfaa56f8ed56dc9a26231d8e028075086 (patch)
treeace555e21cd34e6c9c88c489b818dbcc99e75e5a /x11/gtk+/APKBUILD
parentefee1b778791c9d5827078704b56c1e055df9d95 (diff)
downloadaports-0fc3dafdfaa56f8ed56dc9a26231d8e028075086.tar.gz
aports-0fc3dafdfaa56f8ed56dc9a26231d8e028075086.tar.bz2
aports-0fc3dafdfaa56f8ed56dc9a26231d8e028075086.tar.xz
x11/gtk+: new aport
Diffstat (limited to 'x11/gtk+/APKBUILD')
-rw-r--r--x11/gtk+/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/x11/gtk+/APKBUILD b/x11/gtk+/APKBUILD
new file mode 100644
index 0000000000..b197b7f12c
--- /dev/null
+++ b/x11/gtk+/APKBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtk+
+pkgver=2.16.0
+pkgrel=0
+pkgdesc="The GTK+ Toolkit (v2)"
+url="http://www.gtk.org/"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="atk
+ cairo
+ glib
+ libice
+ libjpeg
+ libx11
+ libxcursor
+ libxdamage
+ libxext
+ libxi
+ libxfixes
+ libxrandr
+ pango
+ uclibc"
+makedepends="pkgconfig
+ atk-dev
+ cairo-dev
+ glib-dev
+ libice-dev
+ libiconv-dev
+ libjpeg-dev
+ libx11-dev
+ libxcursor-dev
+ libxdamage-dev
+ libxext-dev
+ libxfixes-dev
+ libxrandr-dev
+ libxi-dev
+ pango-dev"
+# libxinerama libcups>=1.3.9 libxcomposite heimdal>=1.2.1 gnutls>=2.6.3"
+#install=gtk2.install
+source="http://ftp.gnome.org/pub/gnome/sources/gtk+/${pkgver%.*}/gtk+-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/gtk+-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-xinput=yes \
+ --without-libjasper \
+ --with-included-loaders=png || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="139528802794287427fd4d18875b5cf5 gtk+-2.16.0.tar.bz2"